Lavalite package that provides plan_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/plan_setting`.

    "litecms/plan_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\PlanSetting\Providers\PlanSettingServiceProvider::class,

And also add it to alias

    'PlanSetting'  => Litecms\PlanSetting\Facades\PlanSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\PlanSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\PlanSetting\Providers\PlanSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\PlanSetting\Providers\PlanSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\PlanSetting\Providers\PlanSettingServiceProvider" --tag="view"


## Usage


